/**
 * NewGuideGraphCanvas.java
 *
 *
*/
import java.awt.*;
import java.awt.event.*;
import java.applet.*;
import java.lang.*;

public class NewGuideGraphCanvasRadRes extends GraphCanvas{
    //private static final Color bgcolor = new Color(236,236,221);
    //private static final Color bgcolor = new Color(170,240,240);
    private static final Color bgcolor = Color.gray;
    private NewGuide_State state;
    private static final int LeftMargin=10, RightMargin=10, TopMargin=10, BottomMargin=10;
    
    public NewGuideGraphCanvasRadRes(NewGuide_State state){
	
	super();
	this.state = state;
	setBackground(bgcolor);
	
	setYRangeMax(state.RVMax);
	setYRangeMin(0.0);
	plotZeroLine(false);
	plotRefPoint(true);
	setLabels("Radiation Resistance","","Dipole Length L","");
	setRefPoint(state.a);
	plot(state.leng,state.RVector, state.IsDirectivity);
   }
   
}